com.genesyslab.wfm7.API.service.calendar750

## Class CfgAgentShort

- java.lang.Object
- - com.genesyslab.wfm7.API.service.calendar750.CfgAgentShort

- All Implemented Interfaces:
    java.io.Serializable

      public class CfgAgentShort
      extends java.lang.Object
      implements java.io.Serializable

  CfgAgentShort allows you to access/modify basic Configuration Layer information about a given agent.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private java.lang.Object` | `__equalsCalc`
    `private boolean` | `__hashCodeCalc`
    `private int` | `gswAgentId`
    `private java.lang.String` | `gswEmployeeId`
    `private java.lang.String` | `gswFirstName`
    `private java.lang.String` | `gswLastName`
    `private int` | `wmContractId`
    `private double` | `wmEndDate`
    `private int` | `wmSeniority`
    `private int` | `wmSiteId`
    `private double` | `wmStartDate`
    `private int` | `wmTeamId`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CfgAgentShort()`
    `CfgAgentShort(int gswAgentId, int wmSiteId, int wmTeamId, int wmContractId, java.lang.String gswEmployeeId, java.lang.String gswFirstName, java.lang.String gswLastName, double wmStartDate, double wmEndDate, int wmSeniority)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)`
    `int` | `getGswAgentId()` Gets the gswAgentId value for this CfgAgentShort.
    `java.lang.String` | `getGswEmployeeId()` Gets the gswEmployeeId value for this CfgAgentShort.
    `java.lang.String` | `getGswFirstName()` Gets the gswFirstName value for this CfgAgentShort.
    `java.lang.String` | `getGswLastName()` Gets the gswLastName value for this CfgAgentShort.
    `int` | `getWmContractId()` Gets the wmContractId value for this CfgAgentShort.
    `double` | `getWmEndDate()` Gets the wmEndDate value for this CfgAgentShort.
    `int` | `getWmSeniority()` Gets the wmSeniority value for this CfgAgentShort.
    `int` | `getWmSiteId()` Gets the wmSiteId value for this CfgAgentShort.
    `double` | `getWmStartDate()` Gets the wmStartDate value for this CfgAgentShort.
    `int` | `getWmTeamId()` Gets the wmTeamId value for this CfgAgentShort.
    `int` | `hashCode()`
    `void` | `setGswAgentId(int gswAgentId)` Sets the gswAgentId value for this CfgAgentShort.
    `void` | `setGswEmployeeId(java.lang.String gswEmployeeId)` Sets the gswEmployeeId value for this CfgAgentShort.
    `void` | `setGswFirstName(java.lang.String gswFirstName)` Sets the gswFirstName value for this CfgAgentShort.
    `void` | `setGswLastName(java.lang.String gswLastName)` Sets the gswLastName value for this CfgAgentShort.
    `void` | `setWmContractId(int wmContractId)` Sets the wmContractId value for this CfgAgentShort.
    `void` | `setWmEndDate(double wmEndDate)` Sets the wmEndDate value for this CfgAgentShort.
    `void` | `setWmSeniority(int wmSeniority)` Sets the wmSeniority value for this CfgAgentShort.
    `void` | `setWmSiteId(int wmSiteId)` Sets the wmSiteId value for this CfgAgentShort.
    `void` | `setWmStartDate(double wmStartDate)` Sets the wmStartDate value for this CfgAgentShort.
    `void` | `setWmTeamId(int wmTeamId)` Sets the wmTeamId value for this CfgAgentShort.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### gswAgentId

          private int gswAgentId

    - #### wmSiteId

          private int wmSiteId

    - #### wmTeamId

          private int wmTeamId

    - #### wmContractId

          private int wmContractId

    - #### gswEmployeeId

          private java.lang.String gswEmployeeId

    - #### gswFirstName

          private java.lang.String gswFirstName

    - #### gswLastName

          private java.lang.String gswLastName

    - #### wmStartDate

          private double wmStartDate

    - #### wmEndDate

          private double wmEndDate

    - #### wmSeniority

          private int wmSeniority

    - #### __equalsCalc

          private java.lang.Object __equalsCalc

    - #### __hashCodeCalc

          private boolean __hashCodeCalc

  - ### Constructor Detail

    - #### CfgAgentShort

          public CfgAgentShort()

    - #### CfgAgentShort

          public CfgAgentShort(int gswAgentId,
                       int wmSiteId,
                       int wmTeamId,
                       int wmContractId,
                       java.lang.String gswEmployeeId,
                       java.lang.String gswFirstName,
                       java.lang.String gswLastName,
                       double wmStartDate,
                       double wmEndDate,
                       int wmSeniority)

  - ### Method Detail

    - #### getGswAgentId

          public int getGswAgentId()

      Gets the gswAgentId value for this CfgAgentShort.
      Returns:
        gswAgentId

    - #### setGswAgentId

          public void setGswAgentId(int gswAgentId)

      Sets the gswAgentId value for this CfgAgentShort.
      Parameters:
        `gswAgentId` -

    - #### getWmSiteId

          public int getWmSiteId()

      Gets the wmSiteId value for this CfgAgentShort.
      Returns:
        wmSiteId

    - #### setWmSiteId

          public void setWmSiteId(int wmSiteId)

      Sets the wmSiteId value for this CfgAgentShort.
      Parameters:
        `wmSiteId` -

    - #### getWmTeamId

          public int getWmTeamId()

      Gets the wmTeamId value for this CfgAgentShort.
      Returns:
        wmTeamId

    - #### setWmTeamId

          public void setWmTeamId(int wmTeamId)

      Sets the wmTeamId value for this CfgAgentShort.
      Parameters:
        `wmTeamId` -

    - #### getWmContractId

          public int getWmContractId()

      Gets the wmContractId value for this CfgAgentShort.
      Returns:
        wmContractId

    - #### setWmContractId

          public void setWmContractId(int wmContractId)

      Sets the wmContractId value for this CfgAgentShort.
      Parameters:
        `wmContractId` -

    - #### getGswEmployeeId

          public java.lang.String getGswEmployeeId()

      Gets the gswEmployeeId value for this CfgAgentShort.
      Returns:
        gswEmployeeId

    - #### setGswEmployeeId

          public void setGswEmployeeId(java.lang.String gswEmployeeId)

      Sets the gswEmployeeId value for this CfgAgentShort.
      Parameters:
        `gswEmployeeId` -

    - #### getGswFirstName

          public java.lang.String getGswFirstName()

      Gets the gswFirstName value for this CfgAgentShort.
      Returns:
        gswFirstName

    - #### setGswFirstName

          public void setGswFirstName(java.lang.String gswFirstName)

      Sets the gswFirstName value for this CfgAgentShort.
      Parameters:
        `gswFirstName` -

    - #### getGswLastName

          public java.lang.String getGswLastName()

      Gets the gswLastName value for this CfgAgentShort.
      Returns:
        gswLastName

    - #### setGswLastName

          public void setGswLastName(java.lang.String gswLastName)

      Sets the gswLastName value for this CfgAgentShort.
      Parameters:
        `gswLastName` -

    - #### getWmStartDate

          public double getWmStartDate()

      Gets the wmStartDate value for this CfgAgentShort.
      Returns:
        wmStartDate

    - #### setWmStartDate

          public void setWmStartDate(double wmStartDate)

      Sets the wmStartDate value for this CfgAgentShort.
      Parameters:
        `wmStartDate` -

    - #### getWmEndDate

          public double getWmEndDate()

      Gets the wmEndDate value for this CfgAgentShort.
      Returns:
        wmEndDate

    - #### setWmEndDate

          public void setWmEndDate(double wmEndDate)

      Sets the wmEndDate value for this CfgAgentShort.
      Parameters:
        `wmEndDate` -

    - #### getWmSeniority

          public int getWmSeniority()

      Gets the wmSeniority value for this CfgAgentShort.
      Returns:
        wmSeniority

    - #### setWmSeniority

          public void setWmSeniority(int wmSeniority)

      Sets the wmSeniority value for this CfgAgentShort.
      Parameters:
        `wmSeniority` -

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.